import { NumericAxisBase } from "./NumericAxisBase";
import { NumericScaleMode } from "./NumericScaleMode";
import { DependencyProperty } from "igniteui-angular-core";
import { NumericScaler } from "./NumericScaler";
import { Type } from "igniteui-angular-core";
import { AxisView } from "./AxisView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare abstract class StraightNumericAxisBase extends NumericAxisBase {
    static $t: Type;
    constructor();
    a1(): AxisView;
    gs(a: AxisView): void;
    lh: StraightNumericAxisBaseView;
    lc: NumericScaleMode;
    static readonly lu: DependencyProperty;
    lg: NumericScaler;
    private static lq;
    protected lf(): NumericScaler;
    protected le: NumericScaler;
    protected get_ld(): NumericScaler;
    protected set_ld(a: NumericScaler): void;
    ld: NumericScaler;
    kz(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    private lr;
    private li;
    protected ls(): void;
    ln(): void;
    protected gu(a: any, b: string, c: any, d: any): void;
    private lp;
    private lo;
    protected lj(a: number, b: StraightNumericAxisBase): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StraightNumericAxisBaseView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: StraightNumericAxisBase;
    constructor(a: StraightNumericAxisBase);
    bh(): void;
}
